Bug 169022 - System freezes at every rpm install or rpm -verify!
System freezes at every rpm install or rpm -verify!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-22 05:22 EDT by Petr Danecek
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-25 17:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Danecek 2005-09-22 05:22:42 EDT
Hello,
My Fedora 2 (with all updates applied) freezes totally and must be restarted by
pushing the power-off button, every time when doing a RPM installation and also
when running 'rpm -verify'.

The behaviour is rather strange: It freezes only when the root privileges were
obtained by issuing 'su' command; when logged in as root, rpm runs ok.

When comparing finished and unfinished outputs of rpm verify, it seems that the
system crashes repeatedly at the same place.

I'd be very grateful for tips how to debug and solve this problem,
Petr Danecek
Comment 1 Petr Danecek 2005-09-22 06:02:20 EDT
----------

Additional information: I have identified the offending package. To freeze my
system, I can login as a normal user and then type:
   su 
   rpm -q xorg-x11-libs --verify

I only wonder, how an userspace program can freeze the machine totally, so that
even pinging on it from some other machine does not work???
Comment 2 Jeff Johnson 2005-09-29 15:46:24 EDT
Check for I/O errors in your logs for one of the blocks in the files contained within the xorg-x11-libs 
package.
Comment 3 Petr Danecek 2005-10-06 03:35:56 EDT
I haven't found any such error. In fact, all of the xorg-x11-libs files can be
copied to another place with no problem.
:-(
Comment 4 Paul Nasrat 2005-10-25 17:30:40 EDT
Fedora Core 2 is no longer supported, please test your issue against the latest
release Fedora Core 4 and reopen if still occuring. 

Note You need to log in before you can comment on or make changes to this bug.